linuxbrew-wrapper_20180923-1_all.deb


Advertisement

Description

linuxbrew-wrapper - Homebrew package manager for Linux

Property Value
Distribution Debian Sid
Repository Debian Contrib i386
Package filename linuxbrew-wrapper_20180923-1_all.deb
Package name linuxbrew-wrapper
Package version 20180923
Package release 1
Package architecture all
Package type deb
Category contrib/utils uitoolkit::ncurses
Homepage http://linuxbrew.sh/
License -
Maintainer Mo Zhou <cdluminate@gmail.com>
Download size 14.30 KB
Installed size 55.00 KB

Alternatives

Package Version Architecture Repository
linuxbrew-wrapper_20180923-1_all.deb 20180923 all Debian Contrib
linuxbrew-wrapper - - -

Requires

Name Value
build-essential -
curl -
git -
python-setuptools -
ruby -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package linuxbrew-wrapper_20180923-1_all.deb
Source Package linuxbrew-wrapper

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install linuxbrew-wrapper deb package:
    # sudo apt-get install linuxbrew-wrapper

Files

Path
/usr/bin/brew
/usr/bin/linuxbrew
/usr/lib/linuxbrew-wrapper/install
/usr/lib/linuxbrew-wrapper/uninstall
/usr/share/doc/linuxbrew-wrapper/README.Debian
/usr/share/doc/linuxbrew-wrapper/changelog.Debian.gz
/usr/share/doc/linuxbrew-wrapper/copyright
/usr/share/doc/linuxbrew-wrapper/examples/profile
/usr/share/lintian/overrides/linuxbrew-wrapper
/usr/share/man/man7/linuxbrew-wrapper.7.gz
/usr/share/man/man7/linuxbrew.7.gz

Changelog

2018-11-05 - Mo Zhou <cdluminate@gmail.com>
linuxbrew-wrapper (20180923-1) unstable; urgency=medium
* New upstream snapshot 20180923.
2018-09-14 - Mo Zhou <cdluminate@gmail.com>
linuxbrew-wrapper (20180904-1) unstable; urgency=medium
[ Chih-Hsuan Kuo ]
* fix syntax for linuxbrew script
https://salsa.debian.org/debian/linuxbrew-wrapper/merge_requests/1
[ Mo Zhou ]
* New upstream version 20180904
* Transfer packaging repo to Salsa/Debian.
* Bump Standards-Version to 4.2.1 (no change).
* Bump debhelper compat level to 11.
2018-04-16 - Mo Zhou <cdluminate@gmail.com>
linuxbrew-wrapper (20180209-1) unstable; urgency=medium
* Import upstream snapshot.
* Move to contrib section. (Closes: #888957)
* Add watch file to monitor git HEAD.
* Update my name in control and copyright.
* Update copyright, and explain why this package goes to contrib.
* Use https link in copyright.
* Point Vcs-* links to Salsa.
* Bump Standards-Version to 4.1.4 .
- Remove get-orig-source target. Use watch file instead.
- Change Priority to "optional" because "extra" has been deprecated.
2017-07-31 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20170516-2) unstable; urgency=medium
* Wrapper: support /home/linuxbrew/.linuxbrew , and
remove fist_time_hint .
2017-07-31 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20170516-1) unstable; urgency=medium
* Import upstream snapshot.
* Bump standards version to 4.0.0 (requires no change)
* Bump debhelper compat to 10.
2016-10-10 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20160916-1) unstable; urgency=medium
* Import updated upstream install scripts.
* Update wrapper script.
* Update profile example.
* Remove patche merged by upstream: fix-interpreter .
* Update package description.
* Add README.Source, telling where the source comes from.
2016-06-02 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20160506-1) unstable; urgency=medium
* Upstream Install script update.
* Switch Homepage to http://linuxbrew.sh/ .
* Update dependencies according to upstream's recommendation.
* Bump Standards version to 3.9.8 .
* Install the 'uninstall' script.
* Update package descriptions.
* Update get-orig-source and override_dh_fixperms targets in rules.
* Update copyright.
* Patch 'uninstall' for fixing interpreter in the script header.
* Update Vcs-Git link.
2016-03-30 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20150804-3) unstable; urgency=medium
* control:
+ Bump standards version from 3.9.6 to 3.9.7 (requires no change)
+ Update Homepage.
+ Correct URL in Vcs-Browser field.
+ Remove homepage link in package description.
* rules:
+ Disable DH_VERBOSE by default.
+ get-orig-source: Don't print command line, to avoiding confusion.
* bin/linuxbrew: refresh wrapper script.
* example/profile: refresh example.
* linuxbrew-wrapper.7: reduce content in manpage.
* README.Debian: refresh content.
2015-09-21 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20150804-2) unstable; urgency=low
* debian/bin/linuxbrew:
+ Fix: not ignoring linuxbrew arguments when first time running.
+ Rewrite last part, which makes the wrapper script usable outside
of this Debian package.
+ Warn users if $(arch) != x86_64, when installing linuxbrew.
* Add get-orig-source target in d/rules.
* Fixed lintian warning
"script-not-executable usr/lib/linuxbrew-wrapper/install".
* Bump Architecture from "amd64" to "all". (Closes: #799390)
2015-08-25 - Zhou Mo <cdluminate@gmail.com>
linuxbrew-wrapper (20150804-1) unstable; urgency=low
* Initial release. Closes: #792642
* Imported upstream install script (04 Aug 2015)
+ https://raw.githubusercontent.com/Homebrew/linuxbrew/go/install

See Also

Package Description
mali-midgard-dkms_16.0+pristine-4_all.deb Mali kernel driver for midgard hardware in DKMS format
mathematica-fonts_21_all.deb transitional dummy package
matlab-gdf_0.1.2-2.1_all.deb IO library for the GDF -- Matlab interface
matlab-support_0.0.21_all.deb distro integration for local MATLAB installations
mbrola_3.02b+dfsg-4_i386.deb Multilingual software speech synthesizer
microcode.ctl_1.18~0+nmu2_i386.deb Intel IA32/IA64 CPU Microcode Utility (transitional package)
muttdown_0.3.4-1_all.deb Compiles annotated text mail into html using the Markdown standard
nvidia-installer-cleanup_20151021+9_i386.deb cleanup after driver installation with the nvidia-installer
nvidia-kernel-common_20151021+9_i386.deb NVIDIA binary kernel module support files
nvidia-modprobe_418.56-1_i386.deb utility to load NVIDIA kernel modules and create device nodes
nvidia-persistenced_418.56-1_i386.deb daemon to maintain persistent software state in the NVIDIA driver
nvidia-settings-legacy-304xx_304.137-2_i386.deb tool for configuring the NVIDIA graphics driver (304xx legacy version)
nvidia-settings-legacy-340xx_340.107-2_i386.deb tool for configuring the NVIDIA graphics driver (340xx legacy version)
nvidia-settings-legacy-390xx_390.116-1_i386.deb tool for configuring the NVIDIA graphics driver (390xx legacy version)
nvidia-settings_418.74-1_i386.deb tool for configuring the NVIDIA graphics driver
Advertisement
Advertisement